Social key login

When we enable to use social key login getting the below error in the login page… we are using latest bitnami erpnext v12.4.3…

Uncaught Server Exception
Traceback (most recent call last):
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/utils/jinja.py”, line 80, in render_template
return get_jenv().from_string(template).render(context)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/asyncsupport.py”, line 76, in render
return original_render(self, *args, **kwargs)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/environment.py”, line 1008, in render
return self.environment.handle_exception(exc_info, True)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/environment.py”, line 780, in handle_exception
reraise(exc_type, exc_value, tb)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/_compat.py”, line 37, in reraise
raise value.with_traceback(tb)
File “”, line 1, in top-level template code
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/environment.py”, line 1005, in render
return concat(self.root_render_func(self.new_context(vars)))
File “”, line 14, in root
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/./templates/web.html”, line 15, in root
{% block page_container %}
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/./templates/base.html”, line 47, in root
frappe.ready_events = [];
File “”, line 103, in block_script
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/./templates/includes/login/login.js”, line 19, in root
args.cmd = “login”;
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/sandbox.py”, line 387, in getattr
value = getattr(obj, attribute)
jinja2.exceptions.UndefinedError: ‘ldap_settings’ is undefined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/website/render.py”, line 48, in render
data = render_page_by_language(path)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/website/render.py”, line 152, in render_page_by_language
return render_page(path)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/website/render.py”, line 168, in render_page
return build(path)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/website/render.py”, line 175, in build
return build_page(path)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/website/render.py”, line 191, in build_page
html = frappe.render_template(context.source, context)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/utils/jinja.py”, line 82, in render_template
throw(title=“Jinja Template Error”, msg="

{template}
{tb}
".format(template=template, tb=get_traceback()))
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/init.py”, line 364, in throw
msgprint(msg, raise_exception=exc, title=title, indicator=‘red’)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/init.py”, line 350, in msgprint
_raise_exception()
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/init.py”, line 316, in _raise_exception
raise raise_exception(msg)
frappe.exceptions.ValidationError:
{% extends “templates/web.html” %}

{% block style %}

{% include "templates/includes/login/login.css" %}

{% endblock %}

{% block page_content %}

{{ _("Javascript is disabled on your browser") }}

{{ _("You need to enable JavaScript for your app to work.") }}
{{ _("To enable it follow the instructions in the following link: {0}").format("enable-javascript.com

") }}
		<input type="text" id="login_email"
			class="form-control"
			placeholder="{% if login_name_placeholder %}{{ login_name_placeholder  }}{% else %}{{ _('Email Address') }}{% endif %}"
			required autofocus>

		<div class="password-field" style="position: relative;">
			<input type="password" id="login_password"
					class="form-control" placeholder="{{ _('Password') }}" required>

			<span toggle="#login_password" class="fa fa-fw fa-eye toggle-password text-muted"></span>
		</div>

		<button class="btn btn-sm btn-primary btn-block btn-login" type="submit">
			{{ _("Login") }}</button>

		{% if ldap_settings and ldap_settings.enabled %}
		<button class="btn btn-sm btn-default btn-block btn-login btn-ldap-login">
			{{ _("Login with LDAP") }}</button>
		{% endif %}
	</form>
</div>
<div class='form-footer'>

		<div class='social-logins'>
		{%- if social_login -%}
			<h6>{{ _("Or login with") }}</h6>

			<p class="text-center" style="margin-top: 15px">
			{% for provider in provider_logins %}
				<a href="{{ provider.auth_url }}"
					class="btn btn-default btn-sm btn-social btn-{{ provider.name }}">
						{{ provider.icon }} {{ provider.provider_name }}</a>
			{% endfor %}
			</p>
		{%- endif -%}
		</div>

{%- if not disable_signup -%}
	<p class="text-center sign-up-message">
		<a href="#signup" style="margin-top: -2px;">{{ _("Don't have an account? Sign up") }}</a>
	</p>
{%- endif -%}
<p class="text-center forgot-password-message">
	<a href="#forgot">{{ _("Forgot Password?") }}</a></p>
</div>
{{ _("Sign up") }}
{{ _("Reset Password") }}
{% endblock %}

{% block script %}

{% endblock %}

{% block sidebar %}{% endblock %}

Traceback (most recent call last):
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/utils/jinja.py”, line 80, in render_template
return get_jenv().from_string(template).render(context)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/asyncsupport.py”, line 76, in render
return original_render(self, *args, **kwargs)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/environment.py”, line 1008, in render
return self.environment.handle_exception(exc_info, True)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/environment.py”, line 780, in handle_exception
reraise(exc_type, exc_value, tb)
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/_compat.py”, line 37, in reraise
raise value.with_traceback(tb)
File “”, line 1, in top-level template code
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/environment.py”, line 1005, in render
return concat(self.root_render_func(self.new_context(vars)))
File “”, line 14, in root
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/./templates/web.html”, line 15, in root
{% block page_container %}
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/./templates/base.html”, line 47, in root
frappe.ready_events = [];
File “”, line 103, in block_script
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/./templates/includes/login/login.js”, line 19, in root
args.cmd = “login”;
File “/opt/test-erplabs-erpnext/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/jinja2/sandbox.py”, line 387, in getattr
value = getattr(obj, attribute)
jinja2.exceptions.UndefinedError: ‘ldap_settings’ is undefined